#include "common.h"

GtkWidget* filesel;

static void ok_clicked(GtkCList *clist)
{
	printf("%s",gtk_file_selection_get_filename(GTK_FILE_SELECTION(filesel)));
	exit(0);
}

static void cancel_clicked(GtkCList *clist)
{
	exit(1);
}

int main(int argc, char **argv)
{
	initlocale("gtk+mdk");

	if (argc < 2) {
		fprintf(stderr, _("usage: gfilechooser title [initial_value]\n"));
		exit(1);
	}

	gtk_init(NULL, NULL);

	filesel = gtk_file_selection_new(argv[1]);

	if (argv[2])
		gtk_file_selection_set_filename(GTK_FILE_SELECTION(filesel), argv[2]);

	gtk_signal_connect(GTK_OBJECT(filesel), "destroy", (GtkSignalFunc) gtk_main_quit, NULL);
	gtk_signal_connect(GTK_OBJECT(filesel), "delete_event", (GtkSignalFunc) gtk_main_quit, NULL);

	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(filesel)->ok_button), "clicked", GTK_SIGNAL_FUNC(ok_clicked), NULL);
	gtk_signal_connect(GTK_OBJECT(GTK_FILE_SELECTION(filesel)->cancel_button), "clicked", GTK_SIGNAL_FUNC(cancel_clicked), NULL);

	gtk_widget_show(filesel);
	gtk_main();

	exit(1);
}

